Page MenuHomePhabricator

Replace project-specific "{name}-thing" jobs with generic "thing" ones
Closed, ResolvedPublic

Description

Rough overview:

  • bundle
  • jslint (Blocked on non-voting exceptions being removed; T62619)
  • phplint
  • jsduck
  • npm
  • phpcs (being folded into composer pipelines, T90943 is for cleaning up legacy jobs)
  • rubylint (was unused)
  • ruby1.8lint (was unused)
  • ruby1.9.3lint
  • ruby2.0lint
  • pplint
  • puppetlint
  • perllint
  • phpunit
  • erblint
  • mwext/qunit (T94326)
  • mwext/phpunit-testextension (T94327)
  • tox (T92557)

See also:

Related Objects

Event Timeline

Krinkle created this task.Mar 9 2015, 6:58 PM
Krinkle updated the task description. (Show Details)
Krinkle raised the priority of this task from to Normal.
Krinkle added subscribers: hashar, Krinkle, greg.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 9 2015, 6:58 PM
Krinkle updated the task description. (Show Details)Mar 9 2015, 7:01 PM
Krinkle updated the task description. (Show Details)Mar 9 2015, 7:53 PM
Legoktm updated the task description. (Show Details)Mar 12 2015, 8:09 PM
Legoktm updated the task description. (Show Details)
Legoktm updated the task description. (Show Details)Mar 12 2015, 11:45 PM

I only see one instance of the -whitespaces job, and that's for mediawiki-core which already needs its own workspace...does it need a generic job?

Legoktm updated the task description. (Show Details)Mar 15 2015, 7:28 AM
Legoktm updated the task description. (Show Details)Mar 15 2015, 7:40 AM
Legoktm updated the task description. (Show Details)Mar 19 2015, 6:12 AM
Legoktm updated the task description. (Show Details)Mar 23 2015, 3:41 AM
Legoktm updated the task description. (Show Details)Mar 25 2015, 10:07 PM
Legoktm updated the task description. (Show Details)Mar 29 2015, 1:57 AM
Krinkle updated the task description. (Show Details)Apr 9 2015, 2:31 PM
Krinkle updated the task description. (Show Details)
hashar updated the task description. (Show Details)Nov 20 2015, 2:40 PM

phpcs repositories have all been moved to use composer test

Krinkle removed a subscriber: Krinkle.Feb 23 2016, 4:51 PM

jslint job has almost been migrated.

6 left. https://gerrit.wikimedia.org/r/#/c/273398/

Paladox updated the task description. (Show Details)Mar 10 2016, 3:15 PM
hashar closed this task as Resolved.Apr 1 2016, 10:22 AM
hashar claimed this task.

I am claiming this task to be solved after a looooong period of jobs refactoring. There are still some jobs varying but it is not much of a concern, the main point was to migrate MW extension to use generic jobs.

Congratulations to everyone that was involved!